// Copyright 2020 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Flags: --allow-natives-syntax --no-stress-opt

assertTrue(v8SetIteratorProtector());
assertTrue(v8MapIteratorProtector());
assertTrue(v8StringIteratorProtector());
assertTrue(v8ArrayIteratorProtector());
Object.defineProperty(new Set(), Symbol.iterator, { value: {} });
assertFalse(v8SetIteratorProtector());
assertTrue(v8MapIteratorProtector());
assertTrue(v8StringIteratorProtector());
assertTrue(v8ArrayIteratorProtector());
